Subject: Re: bug#11073: 24.0.94; BIDI-related crash in redisplay with certain byte sequences

From: Kenichi Handa <[email-masked]>
Date: Tue, 03 Apr 2012 14:55:11 +0900

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:
> > Please note that not all characters in the code-space of a
> > CJK charset are unified.  For instance, Big5 has it's own
> > PUA (private use area), and characters in PUA are not
> > unified by default.  So, if Emacs reads a Big5 file that
> > contains PUA chars, those chars stay in high-area.   Then,
> > one can provide his own unification map that also maps PUA
> > chars to some Unicode chars as this:
> >   (unify-charset 'big5 "MyBig5.map")
> > After this, I thought that previously read PUA chars staying
> > in the high-area should be treated as the corresponding
> > Unicode chars (in displaying, search, etc).

> But again, this unification takes place during decoding.

No.  In the above scenario, PUA chars read before the call
of unify-charset are not unified.  The unification should
take place after the call of unify-charset.

> Whereas what
> I'm talking about takes place when reading the internal utf-8
> representation, which should be already unified.

I'm talking about exactly that case.

---
Kenichi Handa
[email-masked]